org.apache.any23.plugin.htmlscraper

## Class HTMLScraperExtractorFactory

- java.lang.Object
- - org.apache.any23.extractor.SimpleExtractorFactory<HTMLScraperExtractor>
  - - org.apache.any23.plugin.htmlscraper.HTMLScraperExtractorFactory

- All Implemented Interfaces:
    ExtractorDescription, ExtractorFactory<HTMLScraperExtractor>

      public class HTMLScraperExtractorFactory
      extends SimpleExtractorFactory<HTMLScraperExtractor>
      implements ExtractorFactory<HTMLScraperExtractor>

  Author:
    Peter Ansell p_ansell@yahoo.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`
    `static Prefixes` | `PREFIXES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLScraperExtractorFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTMLScraperExtractor` | `createExtractor()` Creates an extractor instance.
    `static ExtractorDescription` | `getDescriptionInstance()`

    - ### Methods inherited from class org.apache.any23.extractor.SimpleExtractorFactory

      `getExampleInput, getExtractorLabel, getExtractorName, getPrefixes, getSupportedMIMETypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.any23.extractor.ExtractorFactory

      `getExampleInput, getSupportedMIMETypes`

    - ### Methods inherited from interface org.apache.any23.extractor.ExtractorDescription

      `getExtractorLabel, getExtractorName, getPrefixes`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### PREFIXES

          public static final Prefixes PREFIXES

  - ### Constructor Detail

    - #### HTMLScraperExtractorFactory

          public HTMLScraperExtractorFactory()

  - ### Method Detail

    - #### createExtractor

          public HTMLScraperExtractor createExtractor()

      Description copied from interface: `ExtractorFactory`
      Creates an extractor instance.
      Specified by:
        `createExtractor` in interface `ExtractorFactory<HTMLScraperExtractor>`
      Returns:
        an instance of the extractor associated to this factory.

    - #### getDescriptionInstance

          public static ExtractorDescription getDescriptionInstance()

Copyright © 2010–2019 The Apache Software Foundation. All rights reserved.